import br.com.softwareexpress.sitef.JCliSiTefI;
import java.io.*;

class Exemplo
{
  public static void main (String[] args)
  {
    int status;
    JCliSiTefI clisitef = new JCliSiTefI ();
    BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
    int proximoComando;

    if (args.length != 1)
    {
      System.out.println ("Forma de uso: java Exemplo IP-SiTef");
      System.exit (1);
    }

    clisitef.setEnderecoSiTef (args[0]);
    clisitef.setCodigoLoja ("00000000");
    clisitef.setNumeroTerminal ("SE000001");
    status = clisitef.configuraIntSiTefInterativo ();
    if (status != 0)
    {
      System.out.println ("Erro na ConfiguraIntSiTefInterativo (" + args[0] + ")= " + status);
      System.exit (1);
    }

    clisitef.setModalidade (0);
    clisitef.setValor ("5000");
    clisitef.setNumeroCuponFiscal ("123456");
    clisitef.setDataFiscal ("20040514");
    clisitef.setHorario ("120000");
    clisitef.setOperador ("Operador1");
    clisitef.setRestricoes ("xxxxxx");

    status = clisitef.iniciaFuncaoSiTefInterativo ();

    if (status == 10000)
    {
      clisitef.setBuffer ("");
      clisitef.setContinuaNavegacao (0);

      while (status == 10000)
      {
	status = clisitef.continuaFuncaoSiTefInterativo ();
	if (status == 10000)
	{
	  //  Aqui deve-se colocar o tratamento de cada tipo de ProximoComando
	  System.out.println ("ProximoComando = " + clisitef.getProximoComando ());
	  System.out.println ("TipoCampo = " + clisitef.getTipoCampo ());
	  System.out.println ("TamanhoMinimo = " + clisitef.getTamanhoMinimo ());
	  System.out.println ("TamanhoMaximo = " + clisitef.getTamanhoMaximo ());
	  System.out.println ("Buffer = " + clisitef.getBuffer ());

	  proximoComando = clisitef.getProximoComando ();
	  if (proximoComando >= 20 &&
	      proximoComando != 23 && proximoComando != 22)
	  {
	    try {
	      clisitef.setBuffer (in.readLine ());
	    } catch (IOException e) {
	    }
	  }
	}
      }

      if (status != 10000)
      {
	System.out.println ("ContinuaFuncaoSiTefInterativo retornou " + status);
	System.out.println ("Trn pendentes: " + clisitef.obtemQuantidadeTransacoesPendentes ());
	clisitef.setConfirma ((short)1);
	clisitef.finalizaTransacaoSiTefInterativo ();
      }
    }
  }
}
